Subject: Re: Memory Barriers at pthread using CYGWIN
From: Takashi Yano via Cygwin <[email-masked]>
To: [email-masked]
Cc: "Mümin A." <[email-masked]>
Date: Fri, 9 Jun 2023 09:22:33 +0900
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On Thu, 8 Jun 2023 22:58:59 +0000
Mümin A. wrote:
> r1=0 and r2=0
> That is my result with Cygwin on windows. It’s false.
> 
> When I compiled with gcc. The result is correct but when I use lasted Cygwin gcc in windows 10. The result is false.

I cannot reproduce your problem.

If I compile main.cpp with 'g++ main.cpp', a.exe outputs
r1 = 1, r2 = 1

If I use cmake, I get an error message:
CMake Error at CMakeLists.txt:1 (cmake_minimum_required):
  CMake 3.26 or higher is required.  You are running version 3.25.3

My environment is:
cygwin 3.4.6
g++ (GCC) 11.4.0
cmake version 3.25.3

all packages are updated.

-- 
Takashi Yano <[email-masked]>

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple